apiVersion: v1
kind: Service
metadata:
  name: {{ include "timesheet.fullname" . }}
  namespace: {{ include "timesheet.fullname" . }}
  labels:
    {{- include "timesheet.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: 8090
      protocol: TCP
      name: http
  selector:
    {{- include "timesheet.selectorLabels" . | nindent 4 }}
